export interface IInputVariablePopUpOptions extends Jade.UI.IControlOptions {
    handle: JQuery;
}
export declare class InputVariablePopUp extends Jade.UI.Control {
    private m_handle;
    constructor(options: IInputVariablePopUpOptions);
    private get handle();
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private popup_init;
    private popup_onShow;
}
